List all of the artifacts in the supplied Octopus Deploy Space, from all releases. The results will be sorted by date from most recently to least recently created
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
List of Artifact IDs which if specified, filters the result to only include Artifacts with matching IDs.orderstring
asc or desc.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.regardingstring
An ID of a resource to filter on. Only artifacts related to this resource will be returned. It can be the ID of the following: Release, RunbookSnapshot, Deployment, Runbook Run, Server Task, Project, Environment or Tenant.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — A paginated list of Artifacts
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectCreatedstring
Gets or sets the time at which the artifact was created. Formatdate-time.Filenamestring
Gets or sets the filename of the Artifact to create. Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.LogCorrelationIdstring
Gets the correlationId of the log block in which the artifact was captured.ServerTaskIdstring
Gets or sets the server task with which this artifact is associated.Sourcestring
Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.SpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Created": "2020-01-01T00:00:00.000Z",
"Filename": "Performance Test Results.csv",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"LogCorrelationId": "0c5a872485ac4b10857939a92d082e67",
"ServerTaskId": "string",
"Source": "string",
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new artifact
POST /api
Also reachable at /api, /api.
Creates a new artifact.
Path Parameters
spaceIdstring (required)
ID of the space.
Request Body
Filenamestring (required)
The filename of the Artifact to create. Minimum length 1.LogCorrelationIdstring
Gets the correlationId of the log block in which the artifact was captured.ServerTaskIdstring (required)
The server task with which this artifact is associated.Sourcestring
A short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.SpaceIdstring (required)
ID of the space.
Response
201 — Created
Createdstring
Gets or sets the time at which the artifact was created. Formatdate-time.Filenamestring
Gets or sets the filename of the Artifact to create. Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.LogCorrelationIdstring
Gets the correlationId of the log block in which the artifact was captured.ServerTaskIdstring
Gets or sets the server task with which this artifact is associated.Sourcestring
Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.SpaceIdstring
Example Request
{
"Filename": "Performance Test Results.csv",
"LogCorrelationId": "0c5a872485ac4b10857939a92d082e67",
"ServerTaskId": "ServerTasks-1",
"Source": "string",
"SpaceId": "Spaces-1"
}Example Response
{
"Created": "2020-01-01T00:00:00.000Z",
"Filename": "Performance Test Results.csv",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"LogCorrelationId": "0c5a872485ac4b10857939a92d082e67",
"ServerTaskId": "string",
"Source": "string",
"SpaceId": "Spaces-1"
}Get an Artifact by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Artifact to load.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Gets a specific Artifact
Createdstring
Gets or sets the time at which the artifact was created. Formatdate-time.Filenamestring
Gets or sets the filename of the Artifact to create. Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.LogCorrelationIdstring
Gets the correlationId of the log block in which the artifact was captured.ServerTaskIdstring
Gets or sets the server task with which this artifact is associated.Sourcestring
Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.SpaceIdstring
Example Response
{
"Created": "2020-01-01T00:00:00.000Z",
"Filename": "Performance Test Results.csv",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"LogCorrelationId": "0c5a872485ac4b10857939a92d082e67",
"ServerTaskId": "string",
"Source": "string",
"SpaceId": "Spaces-1"
}Modify an existing artifact
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the artifact.spaceIdstring (required)
The ID of the space.
Response
200 — Artifacts are files like documents and test results that may be stored alongside a release.
Createdstring
Gets or sets the time at which the artifact was created. Formatdate-time.Filenamestring
Gets or sets the filename of the Artifact to create. Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.LogCorrelationIdstring
Gets the correlationId of the log block in which the artifact was captured.ServerTaskIdstring
Gets or sets the server task with which this artifact is associated.Sourcestring
Gets or sets a short summary of the source of this attachment. This will typically be the name of a step/machine, or “Uploaded by [username]” if the attachment was uploaded by a person.SpaceIdstring
Example Response
{
"Created": "2020-01-01T00:00:00.000Z",
"Filename": "Performance Test Results.csv",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"LogCorrelationId": "0c5a872485ac4b10857939a92d082e67",
"ServerTaskId": "string",
"Source": "string",
"SpaceId": "Spaces-1"
}Delete an existing Artifact
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Artifact to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Get the content associated with an artifact
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the artifact.spaceIdstring (required)
The ID of the space.
Response
200 — Success
Example Response
"string"PUT /api/{spaceId}/artifacts/{id}/content
PUT /api
Also reachable at /api, /api.
Sets the content associated with an artifact.
Path Parameters
idstring (required)
ID of the artifact.spaceIdstring (required)
Response
204 — The content was successfully uploaded.